package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TWasteDangerMapper;
import com.ruoyi.project.ehs.domain.TWasteDanger;
import com.ruoyi.project.ehs.service.ITWasteDangerService;

/**
 * 危险废物清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TWasteDangerServiceImpl implements ITWasteDangerService
{
    @Autowired
    private TWasteDangerMapper tWasteDangerMapper;

    /**
     * 查询危险废物清单
     *
     * @param id 危险废物清单ID
     * @return 危险废物清单
     */
    @Override
    public TWasteDanger selectTWasteDangerById(Long id)
    {
        return tWasteDangerMapper.selectTWasteDangerById(id);
    }

    /**
     * 查询危险废物清单列表
     *
     * @param tWasteDanger 危险废物清单
     * @return 危险废物清单
     */
    @Override
    public List<TWasteDanger> selectTWasteDangerList(TWasteDanger tWasteDanger)
    {
        return tWasteDangerMapper.selectTWasteDangerList(tWasteDanger);
    }

    /**
     * 新增危险废物清单
     *
     * @param tWasteDanger 危险废物清单
     * @return 结果
     */
    @Override
    public int insertTWasteDanger(TWasteDanger tWasteDanger)
    {
        return tWasteDangerMapper.insertTWasteDanger(tWasteDanger);
    }

    /**
     * 修改危险废物清单
     *
     * @param tWasteDanger 危险废物清单
     * @return 结果
     */
    @Override
    public int updateTWasteDanger(TWasteDanger tWasteDanger)
    {
        return tWasteDangerMapper.updateTWasteDanger(tWasteDanger);
    }

    /**
     * 批量删除危险废物清单
     *
     * @param ids 需要删除的危险废物清单ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangerByIds(Long[] ids)
    {
        return tWasteDangerMapper.deleteTWasteDangerByIds(ids);
    }

    /**
     * 删除危险废物清单信息
     *
     * @param id 危险废物清单ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangerById(Long id)
    {
        return tWasteDangerMapper.deleteTWasteDangerById(id);
    }
}
